VTK: vtkEventDataDevice3D Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkEventDataDevice3D Class Reference

`#include <vtkEventData.h>`

Inheritance diagram for vtkEventDataDevice3D:
[legend]
Collaboration diagram for vtkEventDataDevice3D:
[legend]

## Public Types
typedef vtkEventDataForDevice | Superclass
Public Types inherited from vtkEventDataForDevice
typedef vtkEventData | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkEventDataDevice3D * | NewInstance () const
vtkEventDataDevice3D * | GetAsEventDataDevice3D () override
void | GetWorldPosition (double v[3]) const
const double * | GetWorldPosition () const
void | SetWorldPosition (const double p[3])
void | GetWorldDirection (double v[3]) const
const double * | GetWorldDirection () const
void | SetWorldDirection (const double p[3])
void | GetWorldOrientation (double v[4]) const
const double * | GetWorldOrientation () const
void | SetWorldOrientation (const double p[4])
void | GetTrackPadPosition (double v[2]) const
const double * | GetTrackPadPosition () const
void | SetTrackPadPosition (const double p[2])
void | SetTrackPadPosition (double x, double y)
Public Member Functions inherited from vtkEventDataForDevice
vtkEventDataForDevice * | NewInstance () const
vtkEventDataDevice | GetDevice () const
vtkEventDataDeviceInput | GetInput () const
vtkEventDataAction | GetAction () const
void | SetDevice (vtkEventDataDevice v)
void | SetInput (vtkEventDataDeviceInput v)
void | SetAction (vtkEventDataAction v)
bool | DeviceMatches (vtkEventDataDevice val)
vtkEventDataForDevice * | GetAsEventDataForDevice () override
Public Member Functions inherited from vtkEventData
| vtkBaseTypeMacro (vtkEventData, vtkObjectBase)
int | GetType () const
void | SetType (int val)
bool | operator== (const vtkEventData &a) const
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual std::string | GetObjectDescription () const
| The object description printed in messages and PrintSelf output. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintSelf (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkEventDataDevice3D * | SafeDownCast (vtkObjectBase *o)
static vtkEventDataDevice3D * | New ()
Static Public Member Functions inherited from vtkEventDataForDevice
static vtkTypeBool | IsTypeOf (const char *type)
static vtkEventDataForDevice * | SafeDownCast (vtkObjectBase *o)
static vtkEventDataForDevice * | New ()
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkEventDataDevice3D ()=default
| ~vtkEventDataDevice3D () override=default
Protected Member Functions inherited from vtkEventDataForDevice
bool | Equivalent (const vtkEventData *e) const override
| vtkEventDataForDevice ()
| ~vtkEventDataForDevice () override=default
Protected Member Functions inherited from vtkEventData
| vtkEventData ()=default
| ~vtkEventData () override=default
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | RegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | ReportReferences (vtkGarbageCollector *)
virtual void | ObjectFinalize ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
double | WorldPosition [3]
double | WorldOrientation [4]
double | WorldDirection [3]
double | TrackPadPosition [2]
Protected Attributes inherited from vtkEventDataForDevice
vtkEventDataDevice | Device
vtkEventDataDeviceInput | Input
vtkEventDataAction | Action
Protected Attributes inherited from vtkEventData
int | Type
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Definition at line 149 of file vtkEventData.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkEventDataForDevice vtkEventDataDevice3D::Superclass

Definition at line 152 of file vtkEventData.h.

## Constructor & Destructor Documentation

## ◆ vtkEventDataDevice3D()

vtkEventDataDevice3D::vtkEventDataDevice3D | ( |  | ) |
| protecteddefault

## ◆ ~vtkEventDataDevice3D()

vtkEventDataDevice3D::~vtkEventDataDevice3D | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkEventDataDevice3D::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkEventDataDevice3D::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkEventDataForDevice.

## ◆ SafeDownCast()

static vtkEventDataDevice3D* vtkEventDataDevice3D::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkEventDataDevice3D::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkEventDataForDevice.

## ◆ NewInstance()

vtkEventDataDevice3D* vtkEventDataDevice3D::NewInstance | ( |  | ) | const

## ◆ New()

static vtkEventDataDevice3D* vtkEventDataDevice3D::New | ( |  | ) |
| inlinestatic

Definition at line 153 of file vtkEventData.h.

## ◆ GetAsEventDataDevice3D()

vtkEventDataDevice3D* vtkEventDataDevice3D::GetAsEventDataDevice3D | ( |  | ) |
| inlineoverridevirtual

Reimplemented from vtkEventData.

Definition at line 160 of file vtkEventData.h.

## ◆ GetWorldPosition() [1/2]

void vtkEventDataDevice3D::GetWorldPosition | ( | double | v[3] | ) | const
| inline

Definition at line 162 of file vtkEventData.h.

## ◆ GetWorldPosition() [2/2]

const double* vtkEventDataDevice3D::GetWorldPosition | ( |  | ) | const
| inline

Definition at line 168 of file vtkEventData.h.

## ◆ SetWorldPosition()

void vtkEventDataDevice3D::SetWorldPosition | ( | const double | p[3] | ) |
| inline

Definition at line 169 of file vtkEventData.h.

## ◆ GetWorldDirection() [1/2]

void vtkEventDataDevice3D::GetWorldDirection | ( | double | v[3] | ) | const
| inline

Definition at line 176 of file vtkEventData.h.

## ◆ GetWorldDirection() [2/2]

const double* vtkEventDataDevice3D::GetWorldDirection | ( |  | ) | const
| inline

Definition at line 182 of file vtkEventData.h.

## ◆ SetWorldDirection()

void vtkEventDataDevice3D::SetWorldDirection | ( | const double | p[3] | ) |
| inline

Definition at line 183 of file vtkEventData.h.

## ◆ GetWorldOrientation() [1/2]

void vtkEventDataDevice3D::GetWorldOrientation | ( | double | v[4] | ) | const
| inline

Definition at line 190 of file vtkEventData.h.

## ◆ GetWorldOrientation() [2/2]

const double* vtkEventDataDevice3D::GetWorldOrientation | ( |  | ) | const
| inline

Definition at line 197 of file vtkEventData.h.

## ◆ SetWorldOrientation()

void vtkEventDataDevice3D::SetWorldOrientation | ( | const double | p[4] | ) |
| inline

Definition at line 198 of file vtkEventData.h.

## ◆ GetTrackPadPosition() [1/2]

void vtkEventDataDevice3D::GetTrackPadPosition | ( | double | v[2] | ) | const
| inline

Definition at line 206 of file vtkEventData.h.

## ◆ GetTrackPadPosition() [2/2]

const double* vtkEventDataDevice3D::GetTrackPadPosition | ( |  | ) | const
| inline

Definition at line 211 of file vtkEventData.h.

## ◆ SetTrackPadPosition() [1/2]

void vtkEventDataDevice3D::SetTrackPadPosition | ( | const double | p[2] | ) |
| inline

Definition at line 212 of file vtkEventData.h.

## ◆ SetTrackPadPosition() [2/2]

void vtkEventDataDevice3D::SetTrackPadPosition | ( | double | x,
|  | double | y
| ) |  |
| inline

Definition at line 217 of file vtkEventData.h.

## Member Data Documentation

## ◆ WorldPosition

double vtkEventDataDevice3D::WorldPosition[3]
| protected

Definition at line 224 of file vtkEventData.h.

## ◆ WorldOrientation

double vtkEventDataDevice3D::WorldOrientation[4]
| protected

Definition at line 225 of file vtkEventData.h.

## ◆ WorldDirection

double vtkEventDataDevice3D::WorldDirection[3]
| protected

Definition at line 226 of file vtkEventData.h.

## ◆ TrackPadPosition

double vtkEventDataDevice3D::TrackPadPosition[2]
| protected

Definition at line 227 of file vtkEventData.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkEventData.h